1. Orders
GlobKurier
  • Integration via the Globkurier API
    • Introduction (PL)
    • Introduction (EN)
    • Integration Strategy (PL)
    • Integration Strategy (EN)
    • Full Integration (PL)
    • Full Integration (EN)
    • Fast order Integration (PL)
    • Fast order Integration (EN)
    • Pricing Summary before ordering (PL)
    • Pricing Summary before ordering (EN)
    • Shipment search (PL)
    • Shipment search (EN)
    • Crossborder / Points (PL)
    • Crossborder / Points (EN)
    • Labels (PL)
    • Labels (EN)
    • Tracking (PL)
    • Tracking (EN)
    • Get carrier data (PL)
    • Get carrier data (EN)
    • Addon categories (PL)
    • Addon categories (EN)
    • Order with customs (PL)
    • FAQ (PL)
    • FAQ (EN)
    • Przykłady / Examples Crossborder
    • Endpoints
      • Dictionary
        • Addresses
          • Get list of countries
          • Get states for country
          • Get shipment/receiving points
          • Get Polish addresses
          • Get list of cities
        • Carriers
          • Get available carrier list
          • Get shipment/receiving points
        • Finance
          • Get available currency list
        • Orders
          • Get available order content
        • Agreements
          • Get agreements
      • Authentication
        • Generate token
        • Refresh token
        • Remove token
        • Bot Access validate
      • Fast order
        • Simplified order placement (bestprice)
      • Full integration
        • Get products
        • Get addons for product
        • Get discount code information
        • Get available courier arrival times to the sender for the shipment
        • Get payments
        • Get bank account numbers
        • Get order price
        • Get custom required fields
        • Get customs config
        • Create order
        • Partial order validation
        • Create order for courier pick up
      • Payments
        • Get list of available methods
        • Generate form data for online order payment
        • Prepaid top-up
        • Changing payment method for online order
      • Orders
        • Get order
          GET
        • Delete order
          DELETE
        • Get list of orders for the protocol
          GET
        • Get protocol
          GET
        • Get labels
          GET
        • Get shipment statuses
          GET
        • Get multi-shipment statuses
          GET
        • Get manifest of trade document
          GET
        • Post trade document
          POST
        • Get trade document
          GET
        • Delete trade document
          DELETE
        • Post (sync) trade document
          POST
      • User
        • Get user data
        • Get user coupon data
        • Register user
        • Edit user
        • Get company information
        • Get user invoice list
        • Get invoice
        • Get compressed list of invoices
        • Get invoice email
        • Get account and payment statistics
        • Get list of payment methods
        • Get selected payment method
        • Create selected payment method
        • Remove selected payment method
        • Get order statistics
        • Get list of customs documents for the order
        • Get list of options for saving user preferences
        • Save user preferences
        • Send SMS with a verification code
      • Users
        • AddressBook
          • Edit sender contact in address book
          • Add sender contact in address book
          • Delete sender contact from address book
          • Edit receiver contact in address book
          • Add receiver contact in address book
          • Delete receiver contact from address book
          • Get senders contacts from address book
          • Get receiver contacts from address book
          • Import sender contacts to address book
          • Import receiver contacts to address book
        • get company for user
        • Update user currency
        • User return carrier list
        • Manage user return carrier list
      • AddressBook
        • Add sender contact to address book
        • Add receiver contact to address book
        • Get senders address book
        • Get receivers address book
        • Edit sender contact into address book
        • Edit receiver contact into address book
        • Delete sender contact from address book
        • Delete receiver contact from address book Copy
      • Order templates
        • Add template
        • Get tempalate list
        • Edit template
        • Delete template
  • Schemas
    • Schemas
      • UpdatePlatformIntegrationDto
      • UserReturnCarrierRequestDto
      • UpdatePlatformIntegrationResponseDto
      • CreateTokenRequestDto
    • Typy danych
      • Platformy
      • Shipment
      • Currency
      • Pickup
      • UserAddress
      • Address
      • Customs
      • Shipment - BestPrice
      • Address - BestPrice
      • Contact
      • CashOnDelivery
  1. Orders

Get order

Developing
Testing Env
https://test.api.globkurier.pl
Testing Env
https://test.api.globkurier.pl
GET
/v1/order

Request

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.api.globkurier.pl/v1/order?number=GK161014996110&hash=6e76c6c8b2227ea1683dcea2f2d36cc0d115cc108f5581186ef4e3ead76b15b3' \
--header 'Accept-Language: pl' \
--header 'X-Auth-Token;'

Responses

🟢200Success
application/json
Body

Example
{
    "purpose": null,
    "number": "GK160705888685",
    "creationDate": "2016-07-05 11:37:00",
    "status": "CANCELED",
    "pricing": {
        "priceGross": 231.49,
        "priceNet": 188.2,
        "vatPercent": 23,
        "currency": "PLN"
    },
    "senderAddress": {
        "name": "Imię",
        "surname": "Nazwisko",
        "street": "Testowa",
        "apartmentNumber": "2",
        "houseNumber": "1",
        "city": "Częstochowa",
        "postCode": "42-226",
        "countryId": 1,
        "phone": "+48512345678",
        "email": "test@testmail.pl",
        "contactPerson": "Osoba kontaktowa",
        "pointId": null,
        "stateId": null
    },
    "receiverAddress": {
        "name": "Imię",
        "surname": "Nazwisko",
        "street": "Inna",
        "apartmentNumber": "3D",
        "houseNumber": "1",
        "city": "Częstochowa",
        "postCode": "42-226",
        "countryId": 1,
        "phone": "+48512345678",
        "email": "test2@testmail.pl",
        "contactPerson": "Inna osoba kontaktowa",
        "pointId": null,
        "stateId": null
    },
    "userAddress": {
        "regon": null,
        "nip": null,
        "name": "Imię klienta",
        "surname": "Nazwisko",
        "street": "Testowa",
        "apartmentNumber": "Test2",
        "houseNumber": "Test1",
        "city": "Katowice",
        "postCode": "42-226",
        "countryId": 1,
        "phone": "+48512345678",
        "email": "test3@testmail.pl",
        "companyName": "",
        "type": "PERSON"
    },
    "shipment": {
        "productId": 683,
        "name": "TEST With addons"
        "length": 1,
        "width": 1,
        "height": 1,
        "weight": 1,
        "quantity": 1,
        "carrier": {
            "id": 91,
            "name": "TEST With addons",
            "logo": "https://.../91.png"
        }
    },
    "content": "Części samochodowe",
    "instructions": "",
    "paymentId": 6,
    "originId": 24,
    "discountCode": null,
    "declaredValue": null,
    "pickup": {
        "date": "2016-07-05",
        "timeFrom": "08:00:00",
        "timeTo": "18:00:00"
    },
    "addons": [
        {
            "category": "NOT_STANDARD",
            "addonName": "Opłata za element niestandardowy do 30kg",
            "id": 340,
            "price": 10,
            "currency": "PLN"
        },
        {
            "value": 243.49,
            "valueCurrency": "PLN",
            "bankAccountNumber": "PL15175000120000000032303161",
            "name": "Test",
            "addressLine1": "address line 1",
            "addressLine2": "address line 2",
            "status": {
                "name": "WAITING_FOR_DELIVERY",
                "description": "Parcel is waiting for delivery",
                "returnDate": null
            },
            "category": "CASH_ON_DELIVERY",
            "addonName": "COD do 5000zł",
            "id": 342,
            "price": 3.5,
            "currency": "PLN"
        },
        {
            "value": 321,
            "category": "INSURANCE",
            "addonName": "Ubezpieczenie do 5000zł",
            "id": 348,
            "price": 1.5,
            "currency": "PLN"
        },
        {
            "addonName": "Adres zwrotu przesyłki",
            "name": "Imię",
            "surname": "Nazwisko",
            "city": "Miasto",
            "street": "Ulica",
            "houseNumber": "2",
            "apartmentNumber": "1",
            "postCode": "41-100",
            "phone": "132123123",
            "email": null,
            "countryId": 1,
            "category": "RETURN_SHIPMENT_ADDRESS",
            "id": 350,
            "price": 2.5,
            "currency": "PLN"
        }
    ],
    "financialDocuments": [
        {
            "type": "INVOICE",
            "link": "https://api.globkurier.pl/v1/invoice?hash=104745b285bedbb667c59b135d9b9a74770af9b0",
            "name": "Faktura VAT"
        }
    ],
    "transportDocuments": [
        {
            "type": "WAYBILL",
            "link": "https://api.globkurier.pl/v1/order/labels?orderHashes[0]=dz2745b285bedbb667c59b135d9b9a74770af9b0104745b285bedbb667c59b1a",
            "name": "List przewozowy",
            "downloaded": "2016-07-05 13:45:00"
        },
        {
            "type": "PROTOCOL",
            "link": "https://api.globkurier.pl/v1/order/protocol?orderHashes[0]=dz2745b285bedbb667c59b135d9b9a74770af9b0104745b285bedbb667c59b1a",
            "name": "Protokół przekazania towaru",
            "downloaded": null
        }
    ],
    "links": [
        {
            "href": "/order/status/cancel",
            "title": "Cancel an order",
            "type": "PUT"
        }
    ],
    "hash": "dz2745b285bedbb667c59b135d9b9a74770af9b0104745b285bedbb667c59b1a"
}
Modified at 2026-03-26 12:30:56
Previous
Changing payment method for online order
Next
Delete order
Built with